org.eclipse.net4j.util.collection

## Class FastList<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.ConcurrentArray<E>
  - - org.eclipse.net4j.util.collection.FastList<E>

- Deprecated.
  As of 3.2 use `ConcurrentArray`.

      @Deprecated
      public abstract class FastList<E>
      extends ConcurrentArray<E>

  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `ConcurrentArray.DuplicateCounter<E>, ConcurrentArray.Unique<E>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastList()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `add, firstElementAdded, get, isEmpty, lastElementRemoved, newArray, remove, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastList

          public FastList()

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html